select top 10
r.ResellerName, r.ResellerAlternateKey, SUM(SalesAmount) as ResellerSalesAmount 
from AdventureWorksDW2008R2.dbo.FactResellerSales f
join AdventureWorksDW2008R2.dbo.DimReseller r on r.ResellerKey = f.ResellerKey 
join AdventureWorksDW2008R2.dbo.DimSalesTerritory st on st.SalesTerritoryKey = f.SalesTerritoryKey 
where st.SalesTerritoryCountry = 'United States'
group by r.ResellerName, r.ResellerAlternateKey 
order by ResellerSalesAmount desc
	