select 
	convert(nvarchar(50), 'Promotion') as ModelName, 
	convert(nvarchar(50), 'Promotion') as EntityName,
	convert(tinyint, 1) as MemberType_ID,
	convert(nvarchar(250), SpecialOfferID) as MemberCode,
	convert(nvarchar(250), 'Type') as AttributeName,
	convert(nvarchar(2000), [Type]) as AttributeValue,
	convert(tinyint, 0) as Status_ID
from sales.SpecialOffer
union 
select 
	convert(nvarchar(50), 'Promotion') as ModelName, 
	convert(nvarchar(50), 'Promotion') as EntityName,
	convert(tinyint, 1) as MemberType_ID,
	convert(nvarchar(250), SpecialOfferID) as MemberCode,
	convert(nvarchar(250), 'Category') as AttributeName,
	convert(nvarchar(2000), Category) as AttributeValue,
	convert(tinyint, 0) as Status_ID
from sales.SpecialOffer
union
select 
	convert(nvarchar(50), 'Promotion') as ModelName, 
	convert(nvarchar(50), 'Promotion') as EntityName,
	convert(tinyint, 1) as MemberType_ID,
	convert(nvarchar(250), SpecialOfferID) as MemberCode,
	convert(nvarchar(250), 'DiscountPct') as AttributeName,
	convert(nvarchar(2000), DiscountPct) as AttributeValue,
	convert(tinyint, 0) as Status_ID
from sales.SpecialOffer
union
select 
	convert(nvarchar(50), 'Promotion') as ModelName, 
	convert(nvarchar(50), 'Promotion') as EntityName,
	convert(tinyint, 1) as MemberType_ID,
	convert(nvarchar(250), SpecialOfferID) as MemberCode,
	convert(nvarchar(250), 'MinQty') as AttributeName,
	convert(nvarchar(2000), MinQty) as AttributeValue,
	convert(tinyint, 0) as Status_ID
from sales.SpecialOffer
union
select 
	convert(nvarchar(50), 'Promotion') as ModelName, 
	convert(nvarchar(50), 'Promotion') as EntityName,
	convert(tinyint, 1) as MemberType_ID,
	convert(nvarchar(250), SpecialOfferID) as MemberCode,
	convert(nvarchar(250), 'MaxQty') as AttributeName,
	convert(nvarchar(2000), MaxQty) as AttributeValue,
	convert(tinyint, 0) as Status_ID
from sales.SpecialOffer
where MaxQty is not null