select 
	convert(nvarchar(50), 'Promotion') as ModelName, 
	convert(nvarchar(50), 'Promotion') as EntityName,
	convert(nvarchar(50), 'Category') as HierarchyName,
	convert(tinyint, 4) as MemberType_ID,
	convert(nvarchar(250), SpecialOfferID) as MemberCode,
	convert(nvarchar(250), Category + '-' + [Type]) as TargetCode,
	1 as TargetType_ID,
	convert(tinyint, 0) as Status_ID
	
from sales.SpecialOffer
union
select 
	convert(nvarchar(50), 'Promotion') as ModelName, 
	convert(nvarchar(50), 'Promotion') as EntityName,
	convert(nvarchar(50), 'Category') as HierarchyName,
	convert(tinyint, 4) as MemberType_ID,
	convert(nvarchar(250), Category + '-' + [Type]) as MemberCode,
	convert(nvarchar(250), Category  ) as TargetCode,
	1 as TargetType_ID,
	convert(tinyint, 0) as Status_ID
	
from sales.SpecialOffer
group by [Type], Category