select 
	convert(nvarchar(50), 'Promotion') as ModelName, 
	convert(nvarchar(50), 'Promotion') as EntityName,
	null as HierarchyName,
	convert(tinyint, 1) as MemberType_ID,
	convert(nvarchar(250), [Description]) as MemberName,
	convert(nvarchar(250), SpecialOfferID) as MemberCode,
	convert(tinyint, 0) as Status_ID
from sales.SpecialOffer
union

select 
	convert(nvarchar(50), 'Promotion') as ModelName, 
	convert(nvarchar(50), 'Promotion') as EntityName,
	convert(nvarchar(50), 'Category') as HierarchyName,
	convert(tinyint, 2) as MemberType_ID,
	convert(nvarchar(250), [Type]) as MemberName,
	convert(nvarchar(250), Category + '-' + [Type]) as MemberCode,
	convert(tinyint, 0) as Status_ID
from sales.SpecialOffer	
group by Category, [Type]
union
select 
	convert(nvarchar(50), 'Promotion') as ModelName, 
	convert(nvarchar(50), 'Promotion') as EntityName,
	convert(nvarchar(50), 'Category') as HierarchyName,
	convert(tinyint, 2) as MemberType_ID,
	convert(nvarchar(250), Category) as MemberName,
	convert(nvarchar(250), Category) as MemberCode,
	convert(tinyint, 0) as Status_ID
from sales.SpecialOffer	
group by Category

